Bug 235602 - science/grib_api: Add CONFLICTS
Summary: science/grib_api: Add CONFLICTS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-08 15:39 UTC by rob.kruus
Modified: 2019-08-31 11:22 UTC (History)
1 user (show)

See Also:
w.schwarzenfeld: maintainer-feedback?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rob.kruus 2019-02-08 15:39:11 UTC
Consider adding

CONFLICTS= science/eccodes

to the port as eccodes is the replacement project by ECMWF:
"ecCodes is an evolution of GRIB-API.  It is designed to provide the user with a simple set of functions to access data from several formats with a key/value approach."
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-13 07:56:02 UTC
Did not find a ports named wgrid_api - did you mean grib_api?
Comment 2 rob.kruus 2019-08-14 19:37:14 UTC
Yes, I meant grib_api.
Comment 3 commit-hook freebsd_committer 2019-08-31 11:22:17 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Aug 31 11:21:17 UTC 2019
New revision: 510377
URL: https://svnweb.freebsd.org/changeset/ports/510377

Log:
  Mark CONFLICTS_INSTALL between science/eccodes and science/grib_api

  PR:		235602
  Submitted by:	Robert Kruus <rob.kruus@gmail.com>

Changes:
  head/science/eccodes/Makefile
  head/science/grib_api/Makefile
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-08-31 11:22:42 UTC
Committed. Thanks!